<HTML>
<HEAD>

<TITLE>Common HEP UNIX User Environment - History (27-Jun-1996)</TITLE>
<!-- Changed by: Arnaud Taddei, 27-Jun-1996 -->

</HEAD>
<BODY>

<H1>Common HEP UNIX User Environment - History</H1>
<P>
<HR>
 <P>
This project started in 1992 with an initial research and development 
lead by DESY Hamburg then Zeuthen. At the beginning of 1994, 
A. K&#246;hler/DESY came to CERN and, together with the author, 
they improved the scripts at shell level, provided documentation, 
started the initial deployment. After the initial feedback at CERN, 
new developments of the HEPiX scripts had been 
undertaken and started the major deployment at CERN during winter 1994-1995.
In the same time, RAL and INFN deployed the HEPiX scripts on their
respective sites.
<P>
Although the scripts have been really well accepted, it became clear that 
solving the shell problem was not enough and 2 working-groups
had been set up, UMTF-X11 at CERN and HEPiX-X11, in order to specify and then
propose a first implementation. 
<P>
Then the implementation and tests was completed at CERN and the HEPiX X11
were introduced in production in Novemeber 1995. They were improved 
periodically during the next 6 months and in June a split between 
the different component of the package was performed. The goal of this
operation was to give more flexibility to the different actors to 
make it evolve.
 <P>
An important rationalisation occured in the same time.
<P>
Fig.<A HREF="#history">2</A> summarizes the history of the project. 
The cooperation between DESY and CERN and the 
feedback from INFN, RAL, Saclay and Slac is really a key-factor of success. 
Many people contributed to provide users, a decent defaults and system 
managers, easy ways to make local adaptations.
<P>
<img src="http://wwwcn.cern.ch/hepix/wg/scripts/doc/chep95/fig/hepix-history2.1.gif">

<P>
At CERN it should be noticed that the HEPiX scripts are deployed on all the
WorkGroup Server (WGS) platforms and PLUS machines. Thus, CMS, ATLAS, SHITCMS,
 SHIFTATLAS, CERNSP, HPPLUS and also traditional UNIX services like 
DXCERN provide the HEPiX environment. 
 <P>
The integration with the other services had been successful, in
particular, with SUE, ASIS and CORE.
<P>
Read deployment and integration and people and working-groups 
for more information.

<HR>

<ADDRESS> <A Name=Signature HREF="http://xwho.cern.ch/WHO/people/26840">Arnaud Taddei</A>, 27-Jun-1996</ADDRESS>
</BODY>
</HTML>